Subject: bug#26039: closed (Re: libical / tzdata substitution not working)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Mar 2017 00:55:02 +0000

Your bug report

#26039: libical / tzdata substitution not working

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26039: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26039
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: libical / tzdata substitution not working
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Sun, 12 Mar 2017 20:53:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Mar 09, 2017 at 01:46:38PM -0500, Leo Famulari wrote:
> Since libical was updated to 2.0.0, the tzdata path substition has had
> no effect due to changes in the upstream source code. [0]
> 
> So, libical probably can't find the time zone file, and it doesn't keep
> a reference to tzdata.
> 
> I assume it needs to be fixed? But what is the impact, if we never
> noticed? :)
> 
> [0] Commit 2b193389d243c469e159d0ab5dfc86b5867db05d, only two days after
> the substitution was added.

Fixed in be81133a13932bc83b0697d73581a47674ef6987, although I'd still
like to investigate the impact of this bug.

Subject: libical / tzdata substitution not working
From: Leo Famulari <[email-masked]>
To: [email-masked]
Cc: Kei Kebreau <[email-masked]>
Date: Thu, 9 Mar 2017 13:46:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Since libical was updated to 2.0.0, the tzdata path substition has had
no effect due to changes in the upstream source code. [0]

So, libical probably can't find the time zone file, and it doesn't keep
a reference to tzdata.

I assume it needs to be fixed? But what is the impact, if we never
noticed? :)

[0] Commit 2b193389d243c469e159d0ab5dfc86b5867db05d, only two days after
the substitution was added.